LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
04975Bug reports[All Projects] Import/Exportpublic2011-02-22 22:532011-03-10 12:28
Reporterjohnnyp112 
Assigned ToDenisChenu 
PriorityhighSeverityminor 
StatusclosedResolutionfixed 
Product Version1.90+ 
Target VersionFixed in Version1.91RC5 
Summary04975: Question Code for Array (Texts) is exported incorrectly.
DescriptionWhenever the survey data is exported to a CSV or Excel spreadsheet, the question code (QC)is incorrectly displayed for Array (Text) type questions.

It should be (Question Code[column1][column2]):
QC[1][1], QC[1][2], QC[2][1], QC[2][2], QC[3][1], QC[3][2], QC[4][1], QC[4][2]

Instead it comes out as:
QC[1][1], QC[2][1], QC[1][2], QC[2][2], QC[1][3], QC[2][3], QC[1][4], QC[2][4]

This is a huge problem for me since we export this data into another system that takes the format as it did in Limesurvey 1.87.
Steps To ReproduceCreate a question type Array (Text) and add multiple subquestions with 2 column answers (see Subquestions.png).
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID9642
Browser
Database & DB-VersionMySQL 5
Operating System (Server)Windows Server 2003 Standard
Webserver software & versionIIS
PHP Version5.2.x
Attached Filesxlsx file icon Incorrect_QC_Column_Labels_Array-Texts.xlsx [^] (10,638 bytes) 2011-02-22 22:53
png file icon Subquestions.png [^] (43,016 bytes) 2011-02-22 22:54


png file icon Array(Text).png [^] (7,648 bytes) 2011-02-22 22:54

- Relationships
parent of 04983closed Development  Unable to export if token aren't enabled 
related to 05005closedmdekker Bug reports Exporting timings isn't possible 

-  Notes
User avatar (14288)
DenisChenu (developer)
2011-02-26 17:52

Fixed for 1.91RC5 (9828)

Put another bug for 1.92 dev
User avatar (14385)
c_schmitz (administrator)
2011-03-10 12:28

1.91RC5 released.

- Issue History
Date Modified Username Field Change
2011-02-22 22:53 johnnyp112 New Issue
2011-02-22 22:53 johnnyp112 File Added: Incorrect_QC_Column_Labels_Array-Texts.xlsx
2011-02-22 22:54 johnnyp112 File Added: Subquestions.png
2011-02-22 22:54 johnnyp112 File Added: Array(Text).png
2011-02-23 16:52 Mazi Assigned To => DenisChenu
2011-02-23 16:52 Mazi Status new => assigned
2011-02-26 17:52 DenisChenu Note Added: 14288
2011-02-26 17:52 DenisChenu Status assigned => resolved
2011-02-26 17:52 DenisChenu Resolution open => fixed
2011-02-26 17:52 DenisChenu Fixed in Version => 1.91RC5
2011-02-26 17:59 DenisChenu Relationship added parent of 04983
2011-03-10 12:28 c_schmitz Note Added: 14385
2011-03-10 12:28 c_schmitz Status resolved => closed
2011-03-28 12:27 mdekker Relationship added related to 05005


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker